Cyberduck Mountain Duck CLI

#2638 closed enhancement (fixed)

File size in bytes for transfer progress

Reported by: darmok Owned by: dkocher
Priority: normal Milestone: 3.8
Component: interface Version: 3.0.2
Severity: normal Keywords:
Cc: Architecture:
Platform: Mac OS X 10.6

Description (last modified by dkocher)

When transferring large files, the information provided in the Transfers window is not very helpful to determine progress.

Currently my Transfers window has two entries: The first says:

  Transfer incomplete[[BR]]
  0 B of 0 B

The second says:

  1.1 GB of 1.2 GB (18 KB/sec, 103 minutes remaining)

It would be helpful if the actual size, in bytes, was shown for each file. That way I could see exactly where the transfer failed or is currently.

In the case of the 2nd, showing only in GB is very frustrating as it has said 1.1 GB for over an hour now.

An implementation suggestion: Make all those units clickable, each click cycling between bytes, kilobytes, gigabytes, and terabytes.

Change History (4)

comment:1 Changed on Oct 18, 2008 at 12:58:44 PM by dkocher

  • Description modified (diff)
  • Milestone set to 3.1
  • Status changed from new to assigned

comment:2 Changed on Apr 13, 2009 at 2:31:27 PM by dkocher

  • Milestone changed from 3.2 to 3.3

Milestone 3.2 deleted

comment:3 Changed on Apr 1, 2010 at 5:09:26 PM by dkocher

  • Platform set to Mac OS X 10.6
  • Summary changed from Transfers window needs more information to File size in bytes for transfer progress

comment:4 Changed on Nov 20, 2010 at 7:59:37 PM by dkocher

  • Milestone set to 4.0
  • Resolution set to fixed
  • Status changed from assigned to closed

In r7692.

Note: See TracTickets for help on using tickets.